The Incoterm object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

code string required
title string required
description string
The Incoterm object
{
  "id": "incoterm_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "code": "code_example",
  "title": "title_example",
  "description": "description_example"
}
GET /api/setup/incoterm/{id}

Retrieve a incoterm

Retrieves the details of an existing incoterm. Supply the unique incoterm ID that was returned from a previous request.

Path parameters

id string required

The identifier of the incoterm to retrieve.

Returns

Returns the incoterm object if a valid identifier was provided.

GET /api/setup/incoterm/{id}
curl https://api.overplane.dev/api/setup/incoterm/incoterm_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "incoterm_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "code": "code_example",
  "title": "title_example",
  "description": "description_example"
}
GET /api/setup/incoterm

List all incoterms

Returns a list of incoterms. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of incoterm objects.

GET /api/setup/incoterm
curl https://api.overplane.dev/api/setup/incoterm \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "incoterm_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "code": "code_example",
      "title": "title_example",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/setup/incoterm

Create a incoterm

Creates a new incoterm object.

Body parameters

code string required
title string required
description string

Returns

Returns the newly created incoterm object if the call succeeded.

POST /api/setup/incoterm
curl https://api.overplane.dev/api/setup/incoterm \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"code":"code_example","title":"title_example"}'
Response
{
  "id": "incoterm_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "code": "code_example",
  "title": "title_example",
  "description": "description_example"
}
PATCH /api/setup/incoterm/{id}

Update a incoterm

Updates the specified incoterm by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the incoterm to update.

Body parameters

code string
title string
description string

Returns

Returns the updated incoterm object.

PATCH /api/setup/incoterm/{id}
curl https://api.overplane.dev/api/setup/incoterm/incoterm_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"code":"code_example","title":"title_example"}'
Response
{
  "id": "incoterm_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "code": "code_example",
  "title": "title_example",
  "description": "description_example"
}
DELETE /api/setup/incoterm/{id}

Delete a incoterm

Permanently deletes a incoterm. This cannot be undone.

Path parameters

id string required

The identifier of the incoterm to delete.

Returns

Returns a confirmation that the incoterm has been deleted.

DELETE /api/setup/incoterm/{id}
curl https://api.overplane.dev/api/setup/incoterm/incoterm_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "incoterm_abc123",
  "deleted": true
}